Your Moodle version

Blocks: Course overview on campus

block_course_overview_campus
Maintained by Picture of University of Ulm University of Ulm, Picture of Alexander Bias Alexander Bias
Moodle block which provides all functionality of block_course_overview, provides additional filters (course category, course term and course teachers) to be used on university campuses as well as the possibility to hide courses and course news from the course list.
7k
2

After installing block_course_overview_campus with its default settings and adding it to your frontpage, it behaves like block_course_overview from moodle core. Additionally, news from your courses can be folded and unfolded and courses can be hidden from the course list.

To make use of the advanced features of the block, please visit Plugins -> Blocks -> Course overview on campus. There, you are able to activate filters for course category, course term and course teachers and can configure in detail the way courses and courses' metadata are displayed in the course list.

See README file for details

Screenshots

Screenshot

Contributors

Picture of University of Ulm
University of Ulm (Lead maintainer)
Picture of Alexander Bias
Alexander Bias: Developer
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Alexander Bias
    Fri, Jan 24, 2014, 3:59 AM
    Dear all,

    sorry for not answering all your messages during the last days and weeks. We have been very busy with other topics here.

    Fixing and upgrading this plugin for Moodle 2.6 is now definitely planned for next week. I hope you still can wait until then.

    Alex
  • Picture of Mitchell van Gerwen
    Mon, Jan 27, 2014, 5:10 AM
    Thanks Alexander, We will wait patiently smile
  • Picture of Alexander Bias
    Fri, Jan 31, 2014, 9:12 PM
    Dear all,

    I just finally published the 2.6 version of the plugin. Thank you for waiting patiently.

    If you encounter any problems with the plugin in 2.6, please let me know.

    Alex

    -----

    Dear Doug,

    I think you should be able to drag the block to the middle column on the MyMoodle page. At least that works in my Moodle installation.

    If you need support for middle column blocks on the frontpage, too, I think you would have to patch your /index.php file to support an additional block region. Please have a look at the discussion on http://moodle.org/mod/forum/discuss.php?d=160567#p732521 if this helps you.

    -----

    Dear Thelma,

    your problem is fixed in the latest version of the plugin

    -----

    Dear Andy,

    I included an option "Skip course news" into the latest version of the block which should help you.

    ----

    Dear Paul,

    you're right, with its default setting, the block duplicates the "course overview" block. But please have a look at the long settings list of the block. You will see that you can do much more with this block than the standard course overview block.
  • Picture of Jeremy Schambaugh
    Thu, Feb 6, 2014, 4:08 AM
    Just installed this on my test server running 2.5.3+ and am wondering if there's a way to show the courses in collapsed form by default. Currently anytime a user logs in courses are expanded to show news and can lead to a large scroll. Is it possible?

    I do really like the enhancements over the core Course Overview block though. smile
  • Picture of Alexander Bias
    Thu, Feb 6, 2014, 4:48 AM
    Dear Jeremy,

    I think the feature you are looking for is included in the 2.6 version of the plugin which was published last week.

    But: I'm afraid that I can only add new features for the latest versions of Moodle due to my limited time. You can try to run the Moodle 2.6 version of this plugin in Moodle 2.5. Just download the 2.6 version and remove the "$plugin->requires..." line from version.php. But as there have been changes in the 2.6 version of the plugin based on some Moodle core changes in 2.6, I don't know if it will work without problems.

    Sorry...

    Alex
  • Picture of Jeremy Schambaugh
    Thu, Feb 6, 2014, 5:00 AM
    Thanks for the quick response and no problem. I may just go ahead throw 2.6 on my test server just to check it out.

    Thanks!
  • Picture of Mukarram Syed
    Wed, Aug 27, 2014, 9:27 PM
    Hi Alexander,

    Would you have a 2.7 version coming out soon? We just upgraded to 2.7 and we are very dependant on this plugin.

    Thanks
  • Picture of Alexander Bias
    Wed, Aug 27, 2014, 9:31 PM
    Mukarram,
    the 2.6 version also works in 2.7.
    But there is a 2.7 version coming out within the next days with some improvements.
    Alex
  • Picture of Michael Veit
    Thu, Feb 19, 2015, 5:17 PM
    Hi Alexander,
    After installing block_course_overview_Campus and updating of moodle to the Version 2.7, i have the following issue:
    Despite the opposition of 'Acadmic year (calendar year is not divided), the academic year is divided again.
    What can be the cause?
    Regards
    Michael
  • Picture of Michael Veit
    Thu, Feb 19, 2015, 5:22 PM
    Supplement: plugin version is 2014051207 for moodle 2.7,
  • Picture of Alexander Bias
    Thu, Feb 19, 2015, 5:26 PM
    Hi Michael,

    what do you mean exactly with "the academic year is divided again"? Did you set the "block_course_overview_campus | term1startday" setting to 1st january? Otherwise, you will get academic years which span 1 year but are not equal to calendar years.

    Alex
  • Picture of Michael Veit
    Fri, Feb 20, 2015, 5:53 PM
    Hi Alex,
    The setting 'Term 1 start day' is '1. September'. The start of the school year.
    I used your plugin since the version 2.4 and it worked perfectly. But since a short time I have dual display in the term filter:
    2014/15
    2014/15
    ...
    I also use the teacher filter and category filter.
    If the beginning of the course until January or later, then another at the same time filter is applied.
    In the hope that you can help me.
    Regards
    Michael
  • Picture of Alexander Bias
    Mon, Feb 23, 2015, 3:23 AM
    Hi Michael,

    I was able to reproduce the bug now and removed it. The fixed version is already in Github (https://github.com/moodleuulm/moodle-block_course_overview_campus) and will be available here in the Plugin repo soon.

    However, as we only are able to support the latest Moodle version and you seem to be still on Moodle 2.7, please download the plugin version for 2.8 and remove the line starting with "$plugin->requires..." from version.php. It should work for 2.7, too, as there haven't been 2.8-specific changes yet.

    Thanks for reporting,
    Alex
  • Picture of Michael Veit
    Thu, Feb 26, 2015, 7:04 PM
    Hi Alex,

    Thank your very much. It works perfectly again.

    Regards
    Michael
  • Picture of Paul Burgo
    Fri, Feb 27, 2015, 3:59 AM
    Please disregard previous message. I believe it is another plugin causing this.
1 2 3
Please login to post comments